Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTSecApi.LSA_FOREST_TRUST_INFORMATION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_INFORMATION

Direct Known Subclasses:
  NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference

Enclosing interface:
  NTSecApi

    public static class NTSecApi.LSA_FOREST_TRUST_INFORMATION

extends com.sun.jna.Structure

Nested Class Summary
`static class` | `NTSecApi.LSA_FOREST_TRUST_INFORMATION.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`NTSecApi.PLSA_FOREST_TRUST_RECORD.ByReference` | `Entries` Pointer to a pointer to an array of LSA_FOREST_TRUST_RECORD structures, each of which contains one piece of forest trust information.
`com.sun.jna.NativeLong` | `RecordCount` Number of LSA_FOREST_TRUST_RECORD structures in the array pointed to by the Entries member.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_FOREST_TRUST_INFORMATION()`

Method Summary
`NTSecApi.PLSA_FOREST_TRUST_RECORD[]` | `getEntries()` Get an array of LSA_FOREST_TRUST_RECORD entries.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RecordCount

    public com.sun.jna.NativeLong RecordCount

  Number of LSA_FOREST_TRUST_RECORD structures in the array pointed to by the Entries member.

### Entries

    public NTSecApi.PLSA_FOREST_TRUST_RECORD.ByReference Entries

  Pointer to a pointer to an array of LSA_FOREST_TRUST_RECORD structures, each of which contains one piece of forest trust information.

Constructor Detail

### NTSecApi.LSA_FOREST_TRUST_INFORMATION

    public NTSecApi.LSA_FOREST_TRUST_INFORMATION()

Method Detail

### getEntries

    public NTSecApi.PLSA_FOREST_TRUST_RECORD[] getEntries()

  Get an array of LSA_FOREST_TRUST_RECORD entries.

  Returns:
    An array of forest trust records.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD